<!doctype html>
<html lang=fr>
	<?php											
		session_start();
		if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] != 1))
		{
		header("Location: index.php");
		exit();
		} 
	?>
	<head>
		<title>Evaluation Note</title>
		<meta charset=utf-8>
		<meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">
		<style type="text/css">
			th {
				text-align:center;
				font-weight:bold;
				background-color:#551800;
				color:#ffffff;
				border-color:#FFF;
				font-size: small;
				font-family: serif;
			}	
			td {
				text-align:center;
			}
			tr:nth-child(even){
				background: #d7dfe6;
			}
			select
			{
			  font-family: "fontelico";
			  src: url('fontelico.ttf');
			  font-size: 1.2em;
			  text-align:center;
			  color:#ffffff;
			  background-color:#989FA4;
			}
			
		</style>
		

	</head>
	<body>
		<header>
			<?php 
				include('includes/header_simple.inc'); 
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].' '.$_SESSION['NomEtab'].'</h3>';
				include('includes/menu_prof.inc');
			?>
		</header>
		
		<article><!-- Start of the  page content. -->
			
			<?php
				include('includes/nogfonctions.php');

				/////////////////////////////////////////////////-->
				require ('connect/mysqli_connect.php'); // recup connection
				if (($_SERVER['REQUEST_METHOD'] == 'GET') and ( isset($_GET['id'])))
				{
					$numEval=$_GET['id'];
					//select evaluation
					$q1 = "	SELECT * 
							FROM  eval_liste
							WHERE numEval=$numEval";
					
					$result1 = mysqli_query ($dbcon, $q1)or die('erreur SQL '.mysqli_error($dbcon));
					$nb_ligneEval = mysqli_num_rows($result1); //compte le nombre de lignes
					
					If ($nb_ligneEval==1)
					{
						$Eval=array();
						$Eval= mysqli_fetch_array ($result1, MYSQLI_ASSOC);
						$_SESSION['numEval']=$Eval['numEval'];
			    	}
					else
					{
						echo 'Plus de 1 eval selectionnée pas possible $nb_ligne_eval= '.$nb_ligneEval;
					}
					
					// select étudiants concernés par l'evaluation'
					$q2 = 'SELECT numact,nomact,prenomact
								FROM acteur
								WHERE codeEtablissement= "'.$_SESSION['CodeEtab'].'"
								AND SessionExam= "'.$Eval['sessionExam'].'"
								AND Autorisation=0
					 			ORDER BY nomact;';	
					 			
					$result2 = mysqli_query ($dbcon, $q2)or die(mysqli_error($dbcon));
					$nb_ligneEt = mysqli_num_rows($result2); //compte le nombre de lignes
					
					$tabEt = [];
					$i=1;
					while ($row = mysqli_fetch_array($result2, MYSQLI_ASSOC))
					{
						$tabEt[$i] = $row;	
						$i++;
					}		

						
					// REQUETE  Critère de l'évaluation
					$q3= ' 	SELECT codeCritere, libelleCritere ,libellecourt
								FROM eval_critere
								WHERE epreuvecritere="'.$Eval['epreuveEval'].'";';
																			
					$result3 = mysqli_query ($dbcon, $q3)or die(mysqli_error($dbcon));
					if(empty($q3))
					{
						echo 'ERRRRRRRRRRRRRRRRRRRRRRRRRRRREUR 0 critères retournés';
					}
					else
					{ 
						$nbrecritere=0;
						while ($row = mysqli_fetch_array($result3, MYSQLI_ASSOC))
						{	
							$nbrecritere++;
							$tabCritere[$nbrecritere] = $row;
			 			}
					}
					// REQUETE  notes de l'évaluation
					$q4= ' 	SELECT *
								FROM eval_note
								WHERE numEval="'.$Eval['numEval'].'";';
								
					$result4 = mysqli_query ($dbcon, $q4)or die(mysqli_error($dbcon));
					$nb_ligne = mysqli_num_rows($result4); //compte le nombre de lignes
					if ($nb_ligne==0)
					{
						echo '0 notes retournées';
						$nbrelignesnote=0;
					}
					else
					{
						$i=0;
						while ($row = mysqli_fetch_array($result4, MYSQLI_BOTH))
						{
							$i++;
							$tabNote[$i] = $row;
						}		
						$nbrelignesnote=$i;
					}
				}	
///////////////////////////////////////////////////////////////////////////////////
//	RECEPTION FORMULAIRE POsT
////	////////////////////////////////////////////////////////////////////////				
				elseif ($_SERVER['REQUEST_METHOD'] == 'POST')// Récup données rentrées ds le formulaire"
				{
					//for ($n=1;$n<=8;$n++)   //numéro de la note
					
					
					$nb_ligneEt=mysqli_real_escape_string($dbcon, $_POST['nb_ligneEt']);
					$numEval=$_SESSION['numEval'];
					$note0=[];
					for ($i=1;$i<=$nb_ligneEt;$i++) //nbre de lignes de note (=nbre étdiants évalués)
						{
							$numAct[$i]= mysqli_real_escape_string($dbcon, $_POST['numact'][$i]);
							$note1[$i]= mysqli_real_escape_string($dbcon, $_POST['note1'][$i]);
							$note2[$i]= mysqli_real_escape_string($dbcon, $_POST['note2'][$i]);
							$note3[$i]= mysqli_real_escape_string($dbcon, $_POST['note3'][$i]);
							$note4[$i]= mysqli_real_escape_string($dbcon, $_POST['note4'][$i]);
							$note5[$i]= mysqli_real_escape_string($dbcon, $_POST['note5'][$i]);
							$note6[$i]= mysqli_real_escape_string($dbcon, $_POST['note6'][$i]);
							$note7[$i]= mysqli_real_escape_string($dbcon, $_POST['note7'][$i]);
							$comment[$i]= mysqli_real_escape_string($dbcon, $_POST['comment'][$i]);
												
							// INSET INTO si pas e ligne update si déjà une note
							$sql= 'Select numEval,numEtudiant,note1
									FROM eval_note
									WHERE numEval='.$_SESSION['numEval'].'
									AND numEtudiant='.$numAct[$i].';';
							$result = mysqli_query ($dbcon, $sql)or die(mysqli_error($dbcon));
							$nb_ligne = mysqli_num_rows($result); //compte le nombre de lignes
							
							//nbre ligne = 0 pas de note saisie : insert into
							if($nb_ligne==0)
							{
								$sql= "INSERT INTO eval_note VALUES ('$numEval','$numAct[$i]','$note1[$i]','$note2[$i]','$note3[$i]','$note4[$i]','$note5[$i]','$note6[$i]','$note7[$i]','$comment[$i]');";
								$result = mysqli_query ($dbcon, $sql)or die(mysqli_error($dbcon));
							}
							else
							{
								if($nb_ligne==1)
								{
									$sql= "UPDATE eval_note SET note1='$note1[$i]',note2='$note2[$i]',note3='$note3[$i]',note4='$note4[$i]',note5='$note5[$i]',note6='$note6[$i]',note7='$note7[$i]',Commentaires='$comment[$i]' 
									WHERE numEval='$numEval' AND numEtudiant='$numAct[$i]';";
									$result = mysqli_query ($dbcon, $sql)or die(mysqli_error($dbcon));
									
								
								}
								else
								{
									
									echo'ERRRRRRRRRRRRRRRREUr plus d\'une ligne cf structure table';
								}
							}
							
						}	
						echo'<br/><br/><br/><p class="alert succes">MISE A JOUR EFFECTUEE<br/><br/><a class="bouton10" href="prof_accueil.php?">OK</a></p>';	
					
					
					
					
					mysqli_close($dbcon); // Close the database connection.
							exit;	
				}
				
				
				
				
				
				
////////////////////////////////////////////////////////////////////////////////				
//DEBUT FORMULAIRE AFFICHAGE///////////////////////////////////////////////////////////////	
///////////////////////////////////////////////////////////////////////////////			
					echo'<form action="prof_eval_note.php" method="post">';
					echo '<h3>Notation d\'une évaluation fil de l\'eau :'.$Eval['nomEval'].'</h3>';
					
					
					
					
					echo '<table>';
					// On génére le tableau ETudiant/critères eval
					echo '<tr><th style="width:10%">Etudiant</th>';
					// en tete de colonnes
					for ($i=1;$i<=$nbrecritere;$i++)
					{
						echo '<th style="width:10%" title="'.$tabCritere[$i]['libelleCritere'].'">'.$tabCritere[$i]['codeCritere'].'<br/> '.$tabCritere[$i]['libellecourt'].'</th>';
						
					}
					echo '<th style="width:30%">Commentaires';
					echo'</font></tr><tr>';
					//etudiant////////////////////////////////
					for ($i=1;$i<$nb_ligneEt+1;$i++)  
					{
						echo '<td style="width:10%;text-align:left;">'.$tabEt[$i]['nomact'].'</td>';
						//envoi du numact
						echo'<input type="hidden" name="numact['.$i.']" value="'.$tabEt[$i]['numact'].'">';

						/*///////////////////////////////////////////
						//Affectation des notes au bon étudiant dans $affiche[]
						// Il peut y avoir des étudiants sans note (ex nouvel étudiant)
						/////////////////////////////////////////////////////////////////////*/
						

						// Pour chaque étudiant affiché, $affiche[] est remis à 0
						$affiche = array_fill(0, 9, 0);
						
						// On recherche dans eval_note s'il existe des notes pour l'étudiant affiché 
						for ($j=1;$j<$nbrelignesnote+1;$j++)
						{
							if ($tabNote[$j]['numEtudiant'] == $tabEt[$i]['numact'])
							{
								for ($n=1;$n<=8;$n++)
								{
									$affiche[$n]=$tabNote[$j][$n+1]; //si trouvé la note 1 est dans $tabNote[$j][2]
	//								echo '<td>'.$tabEt[$i]['nomact'].' : '.$n .'-'.$affiche[$n].'<br/></td></tr><tr>';
								}
							}
						}
						
						///////////////////////////////////
						// affichage colonne notes du tableau						
						echo'<td> <select name="note1['.$i.']">';
						emoticon($affiche[1]);
 						echo'	</select></td>';
						
						echo'<td> <select name="note2['.$i.']">';
						emoticon($affiche[2]);
 						echo'	</select></td>';
						
						echo'<td> <select name="note3['.$i.']">';
						emoticon($affiche[3]);
 						echo'	</select></td>';							
						
						echo'<td> <select name="note4['.$i.']">';
						emoticon($affiche[4]);
 						echo'	</select></td>';
 						
						echo'<td> <select name="note5['.$i.']">';
						emoticon($affiche[5]);
 						echo'	</select></td>';
 						
						echo'<td> <select name="note6['.$i.']">';
						emoticon($affiche[6]);
 						echo'	</select></td>';
	
						// SI E42 note7 est envoyée avec NN (non noté) comme valeur 
						if ($nbrecritere==7)
						{
							echo'<td> <select name="note7['.$i.']">';
							emoticon($affiche[7]);
	 						echo'	</select></td>';
						}
						else
						{
							echo'<input type="hidden" name="note7['.$i.'] " value="NN">';
						}
						
						// COMMENTATAIRE affiche [8]
						//if ($affiche[8]==0)
						//{
						//	$affiche[8]="RIEN";
						//}
						echo'<td><textarea name="comment['.$i.']" rows="4" cols="50">'.$affiche[8].'</textarea></td>';
						echo'</tr>';					
					}
					echo '</table>';
					//renvoie le nobre d'étudiants
					echo'<input type="hidden" name="nb_ligneEt" value="'.$nb_ligneEt.'">';
					echo '<br/><br/><input id="submit" type="submit" name="VALID" value="Valider les notes">';			
			?>
			
			<br/>
			
			
		</article>			
		<footer>
			<?php include ('includes/footer.inc'); ?>
		</footer>
	</body>
</html>